Vulnerability   
Search   
    Search 187964 CVE descriptions
and 85075 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.892334
Category:Debian Local Security Checks
Title:Debian LTS: Security Advisory for ruby-websocket-extensions (DLA-2334-1)
Summary:The remote host is missing an update for the 'ruby-websocket-extensions'; package(s) announced via the DLA-2334-1 advisory.
Description:Summary:
The remote host is missing an update for the 'ruby-websocket-extensions'
package(s) announced via the DLA-2334-1 advisory.

Vulnerability Insight:
It was discovered that there was a denial of service vulnerability
in ruby-websocket-extensions, a library for managing long-lived HTTP
'WebSocket' connections.

The parser took quadratic time when parsing a header containing an
unclosed string parameter value whose content is a repeating two-byte
sequence. This could be abused by an attacker to conduct a Regex
Denial Of Service (ReDoS) on a single-threaded server by providing a
malicious payload in the Sec-WebSocket-Extensions HTTP header.

Affected Software/OS:
'ruby-websocket-extensions' package(s) on Debian Linux.

Solution:
For Debian 9 'Stretch', this problem has been fixed in version
0.1.2-1+deb9u1.

We recommend that you upgrade your ruby-websocket-extensions packages.

CVSS Score:
5.0

CVSS Vector:
AV:N/AC:L/Au:N/C:N/I:N/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2020-7663
https://blog.jcoglan.com/2020/06/02/redos-vulnerability-in-websocket-extensions
https://github.com/faye/websocket-extensions-ruby/commit/aa156a439da681361ed6f53f1a8131892418838b
https://github.com/faye/websocket-extensions-ruby/security/advisories/GHSA-g6wq-qcwm-j5g2
https://snyk.io/vuln/SNYK-RUBY-WEBSOCKETEXTENSIONS-570830
https://lists.debian.org/debian-lts-announce/2020/08/msg00031.html
https://usn.ubuntu.com/4502-1/
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 85075 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.